#!/usr/bin/perl -w
# Auf Grundlage von mitglieder-wb.pl: 10/2001: Taal en Spraak Materiaal
# converter: X<tab>Y<tab>Z<tab>A -> X A<cr>Y A<cr>Z A<cr> und so weiter

#  ./MateriaalTaal.pl <MateriaalTaal.txt | sed -e \
# 's/#/\&eacute;/g' -e 's/[+]/\&iuml;/g' >MateriaalTaal.html

my $sp = "\&nbsp;\&nbsp;\&nbsp;";
my $scale =
 "past\&nbsp;niet".$sp."1".$sp."2".$sp."3".$sp."4".$sp."5".$sp."past\&nbsp;goed";
my $nr = 1;

open(WBLISTE,"</dev/stdin") || die "Kann stdin mit Material nicht lesen\n";

print "<html><head><title>Vragenlijst</title></head>
<body bgcolor=white text=black>\n";
print `cat MateriaalTaalVraag.txt`;
print "\n<form action=\"MateriaalTaal.cgi\" method=post>\n";
print "<table border=0>\n";
print "<tr><td>\&nbsp;</td><td>\&nbsp;</td><td"
 . ">slecht</td><td align=right>goed</td></tr>\n";

foreach (<WBLISTE>)
{
	chomp;		# remove trailing CR if any
	tr/\011/;/;	# convert TAB to ;
	tr/ /_/;	# change space to _
	s/_*\;/\;/g;	# remove trailing spaces
	s/\;_*/\;/g;	# remove leading spaces
	# s/\#/\&eacute\;/g;	# replace # by &eacute;
	$dings = $_;	# maybe dings = dequote(...): quotes suck!
		# hmpf... how did we do strlen again???
		# print STDERR size($dings) ."of $dings\n";
		# if (strlen($dings) > 20)
	if ($dings =~ /......................./)
	{		# only go on if line is long enough
		($np1, $np2, $np3, $rc) = split(';',$dings);
		# now convert PP2 and PP3 to real NPs: remove the first words
		$np2 =~ s/^[^_]*_//g;
		$np3 =~ s/^[^_]*_//g;
		# upcase the first letters...
		substr($np2,0,1) =~ tr/a-z/A-Z/;
		substr($np3,0,1) =~ tr/a-z/A-Z/;
		# last, we convert _ back to space
		$np1 =~ tr/_/ /;
		$np2 =~ tr/_/ /;
		$np3 =~ tr/_/ /;
		$rc  =~ tr/_/ /;

	$scale =  "<input type=radio name=".$nr.".AA value=1>1"
		. "<input type=radio name=".$nr.".AA value=2>2"
		. "<input type=radio name=".$nr.".AA value=3>3"
		. "<input type=radio name=".$nr.".AA value=4>4"
		. "<input type=radio name=".$nr.".AA value=5>5";
	#	. "<input type=hidden name=".$nr.".AA value=0"
	#	. " checked>";
	# hidded does not get assoc w/ radiobuttons, so it is useless

	$scale1 = $scale; $scale1 =~ s/AA/1/g;
	$scale2 = $scale; $scale2 =~ s/AA/2/g;
	$scale3 = $scale; $scale3 =~ s/AA/3/g;

		print "
	<tr><td>$np1</td><td>$rc</td><td colspan=2>$scale1</td></tr>
	<tr><td>$np2</td><td>$rc</td><td colspan=2>$scale2</td></tr>
	<tr><td>$np3</td><td>$rc</td><td colspan=2>$scale3</td></tr>
	<tr><td colspan=4 align=center><hr noshade></td></tr>\n";

	$nr = $nr + 1;
	}
}

print "</table>\n<input type=submit value=\"okee\">\n</form>";
print "<b><p>Bedankt voor je medewerking!</p>\n";
print "<p>Sanne, Sarah, Eric en Mirte</p></b>\n";
print "</body>\n</html>\n";

close(WBLISTE);
